Obtener un tipo de ítem personalizado
curl --request GET \
--url https://api.gotrebol.com/v2/custom-item-types/{id} \
--header 'x-api-key: <api-key>'import requests
url = "https://api.gotrebol.com/v2/custom-item-types/{id}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.gotrebol.com/v2/custom-item-types/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"id": "cit_abc123",
"name": "cit_contrato_arrendamiento",
"friendly_name": "Contrato de arrendamiento",
"status": "active",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"processes": [
{
"id": "ccp_def456",
"process_reference": "extraer_montos",
"is_active": true,
"active_version_id": 42,
"version_number": 1,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"user_input": "Este documento es un contrato de arrendamiento...",
"json_schema": {}
}
]
}
}Tipos de Ítem Personalizados
Obtener un tipo de ítem personalizado
Devuelve un tipo con todos sus procesos. Misma estructura que un elemento individual del listado. Los tipos archivados se devuelven normalmente; solo los eliminados (DELETE) producen 404.
GET
/
v2
/
custom-item-types
/
{id}
Obtener un tipo de ítem personalizado
Authorizations
Path Parameters
Identificador único del tipo de ítem personalizado (ej. cit_abc123).
Was this page helpful?
⌘I